%global ocpnlibscommit0 c1d82631756056437edc58235d9e1ff68b46ddf3
%define piname	celestial_navigation_pi
%global  _disable_ld_as_needed 1

Name:		opencpn-celestial-navigation-plugin
Summary:	Celestial Navigation plugin for OpenCPN
Version:	2.4.47.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/celestialnav.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-c1d8263-tinyxml.patch
Patch1:     opencpn-libs-c1d8263-json.patch
Patch2:     celestial-Plugin-2.4.43-Configure.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:   %{piname} = %{version}

%description
Implements nautical almanac for sun, moon, planets and various
navigational stars.

Enables the user to compute a position fix from celestial measurements.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Mon Mar 31 2025 philippedidier <philippedidier> 2.4.47.0-1.mga9
+ Revision: 2172135
- version 2.4.47.0 lots of corrections
- for moon venus sightfield planetparallax
- new version 2.4.43.0 improved - and based on last opencpn-libs
- new version 2.4.41.0 rebuilt with last opencpn-libs
- new improved version 2.4.40.0-git20231108
- new improved version 2.4.40.0-git20231108

* Tue May 30 2023 philippedidier <philippedidier> 2.4.3.0-1.mga9
+ Revision: 1959937
- new version 2.4.3.0 built upon wxgtku 3.2

* Sun Jul 10 2022 philippedidier <philippedidier> 2.3.15.0-2.mga9
+ Revision: 1868286
- New version 2.3.15.0
- New version

* Sun Apr 03 2022 umeabot <umeabot> 2.3-13.mga9
+ Revision: 1842505
- Mageia 9 Mass Rebuild

* Thu Jul 22 2021 barjac <barjac> 2.3-12.mga9
+ Revision: 1737351
- set version limit on wxgtku BR
+ philippedidier <philippedidier>
- typo corrections
- corrected URL and Source URL

* Mon Jul 12 2021 barjac <barjac> 2.3-11.mga9
+ Revision: 1735752
- Build with wxgtku3.0 not 3.1

* Tue Jun 22 2021 barjac <barjac> 2.3-10.mga9
+ Revision: 1731666
- Use upstream release tarball
- Clean spec use autosetup etc

* Fri Jan 01 2021 wally <wally> 2.3-9.mga8
+ Revision: 1667709
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 2.3-8.mga8
+ Revision: 1614350
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 2.3-7.mga8
+ Revision: 1539492
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 2.3-6.mga8
+ Revision: 1459475
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 2.3-5.mga8
+ Revision: 1421014
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 2.3-4.mga7
+ Revision: 1299992
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 2.3-3.mga7
+ Revision: 1239499
- fix build on aarch64

* Thu Apr 12 2018 barjac <barjac> 2.3-2.mga7
+ Revision: 1217958
- new version 2.3

* Thu Dec 28 2017 barjac <barjac> 2.2-1.mga7
+ Revision: 1186600
- new version 2.2
- dont own %%{_libdir}/opencpn

* Sat Jun 03 2017 akien <akien> 2.1-3.mga6
+ Revision: 1106108
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 2.1-2.mga6
+ Revision: 1019828
- rebuild for wxgtk3.0 built with GTK2

* Tue May 10 2016 barjac <barjac> 2.1-1.mga6
+ Revision: 1011993
- new version 2.1

* Mon Feb 29 2016 barjac <barjac> 2.0-1.mga6
+ Revision: 980799
- new version 2.0

* Tue Feb 16 2016 barjac <barjac> 1.11-2.mga6
+ Revision: 962307
- changed buildrequire wxgtku3.0

* Tue Dec 15 2015 barjac <barjac> 1.11-1.mga6
+ Revision: 910828
- new version 1.11

* Tue Dec 08 2015 barjac <barjac> 1.10-1.mga6
+ Revision: 908764
- new package opencpn-celestial-navigation-plugin

